# -*- coding: utf-8 -*-
# This file is part of the cashbook-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.report import Report
from trytond.pool import Pool


class QifCategoryExport(Report):
    __name__ = 'cashbook_dataexchange.rep_category'

    @classmethod
    def execute(cls, ids, data):
        """ filename for export
        """
        pool = Pool()
        IrDate = pool.get('ir.date')
        Category = pool.get('cashbook.category')

        return (
            'qif',
            Category.export_as_qif(),
            False,
            '%s-categories' % IrDate.today().isoformat().replace('-', ''))

# end QifCategoryExport
